For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get service status

Get a service status by ID.

Required permissions: SERVICE_ORDER

get
/tenants/{tenantUid}/serviceorders/statuses/{serviceStatusUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
serviceStatusUidstringRequired

Reference to a service status

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
serviceStatusUidstringRequiredPattern: ^[A-Za-z0-9-_]+
tenantUidstringRequiredPattern: ^[A-Za-z0-9-_]+
namestringRequired
statestring · enumRequiredPossible values:
deprecatedbooleanRequiredDefault: false
get/tenants/{tenantUid}/serviceorders/statuses/{serviceStatusUid}
GET /v2/tenants/{tenantUid}/serviceorders/statuses/{serviceStatusUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "serviceStatusUid": "text",
  "tenantUid": "text",
  "name": "text",
  "state": "NOT_STARTED",
  "deprecated": false
}

Last updated

Was this helpful?